Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.driver
Interface PopulationAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface PopulationAdaptor
extends Adaptor

Adaptor for retrieving variation populations.

Author:
  Craig Melsopp

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`Population` | `fetch(long internalID)` Fetch population by internal id.
`java.util.List` | `fetch(long[] internalIDs)` Fetch populations by internal id.
`Population` | `fetch(java.lang.String name)` Fetch population by name.
`java.util.List` | `fetchSubPopulations(Population superPopulation)` Retrieve all sub populations for a given super population.
`java.util.List` | `fetchSuperPopulations(Population subPopulation)` Retrieve all super populations for a given sub population.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public Population fetch(long internalID)
                     throws AdaptorException

  Fetch population by internal id.

  Parameters:
    `internalID` - internal ID of the population.
  Returns:
    population with specified internal id or null if none found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(long[] internalIDs)
                         throws AdaptorException

  Fetch populations by internal id.

  Parameters:
    `internalIDs` - internal IDs of populations.
  Returns:
    zero or more populations corresponding to _internalIDs.
  Throws:
    `AdaptorException`

### fetch

    public Population fetch(java.lang.String name)
                     throws AdaptorException

  Fetch population by name.

  Parameters:
    `name` - name of the population.
  Returns:
    population with specified name or null if none found.
  Throws:
    `AdaptorException`

### fetchSuperPopulations

    public java.util.List fetchSuperPopulations(Population subPopulation)
                                         throws AdaptorException

  Retrieve all super populations for a given sub population.

  Parameters:
    `subPopulation` - sub population.
  Returns:
    zero or more super populations.
  Throws:
    `AdaptorException`

### fetchSubPopulations

    public java.util.List fetchSubPopulations(Population superPopulation)
                                       throws AdaptorException

  Retrieve all sub populations for a given super population.

  Parameters:
    `superPopulation` - super population.
  Returns:
    zero or sub populations.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD